Docentry Move doc entry to a different parent or section
POST
/control-plane/api/v1/v1/documentation/{organization_id}/{documentation_id}/version/{version_id}/section/{section_id}/entry/{entry_id}/move

Authentication

API Key (BearerAuth)

  • Header: Authorization

Path Parameters

organization_idstringrequired

Organization ID


documentation_idstringrequired

Documentation ID


version_idstringrequired

Version ID


section_idstringrequired

Section ID


entry_idstringrequired

Entry ID


Request Body

Move input

Required

orderinteger

parent_idstring

section_idstring

Example:

{
  "order": 0,
  "parent_id": "string",
  "section_id": "string"
}

Responses

200
OK

Example:

{
  "content": "string",
  "created_at": "string",
  "endpoint": "string",
  "icon": "string",
  "id": "string",
  "metadata": {
    "author": "string",
    "author_avatar": "string",
    "description": "string",
    "last_edited_by": "string",
    "published_at": "string",
    "reading_time": 0,
    "release": {
      "html_url": "string",
      "is_prerelease": true,
      "release_id": 0,
      "tag_name": "string"
    },
    "tags": [
      "string"
    ]
  },
  "metadata_visibility": {
    "show_author": true,
    "show_publish_date": true,
    "show_reading_time": true,
    "show_tags": true,
    "show_update_date": true
  },
  "method": "GET",
  "order": 0,
  "parent_id": "string",
  "pending_content": "string",
  "pending_operation": "",
  "section_id": "string",
  "slug": "string",
  "source_metadata": {
    "generated_at": "string",
    "resources": [
      {
        "content_hash": "string",
        "resource_id": "string",
        "resource_name": "string",
        "resource_type": "string",
        "source_version": "string"
      }
    ]
  }
}
400
Bad Request

Example:

{
  "key": "value"
}
500
Internal Server Error

Example:

{
  "key": "value"
}